<template>
  <v-col
    cols="12"
  >
    <v-card>
    <v-card-actions>
                <v-row>
                  <v-spacer></v-spacer>
                  <v-col cols="12" align="center">
                    <v-btn
                      color="success"
                      @click="setLoading(true); setLoaded(false); jumpStartProject()"
                      :disabled="!(projectName.length)"
                      rounded
                      block
                    >
                        Jump Start your GitLab Project
                    </v-btn>
                    <v-overlay :value = "loading">
                      <v-progress-circular
                        color="primary"
                        indeterminate
                        size="64"
                      ></v-progress-circular>
                    </v-overlay>
                    </v-col>
                  </v-row>
              </v-card-actions>
    </v-card>
  </v-col>
</template>
<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import { Action, State } from 'vuex-class'

@Component
export default class SubmitButton extends Vue {
  @Action jumpStartProject!: () => void
  @Action setLoading!: (val: boolean) => void
  @Action setLoaded!: (val: boolean) => void

  @State loading!: boolean
  @State projectName!: string
  @State category!: string
}
</script>
